"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * OBD Data representations.
 */
var OBDData = /** @class */ (function () {
    function OBDData() {
        /**
         * The set of bit encoded flags of supported PIDs in decimal form.
         * @see https://en.wikipedia.org/wiki/OBD-II_PIDs#Service_01_PID_1C
         */
        this.supportedPIDs = {
            segment00: 0,
            segment20: 0,
            segment40: 0,
            segment60: 0,
            segment80: 0,
            segmentA0: 0,
        };
    }
    return OBDData;
}());
exports.OBDData = OBDData;
//# sourceMappingURL=OBDData.js.map